<% content_for :title, "Mailing: " + @mailing.name %>

<%= link_to '&lsaquo; Wróć'.html_safe, mailings_path %>
<div class="row">
  <div class="col-sm-12">
    <div class="box">
      <div class="box-header with-border">
        <i class="fa fa-envelope-o"></i>
        <h3 class="box-title">Mailing nr <%= @mailing.id %></h3>
        <div class="box-tools">
          <%= link_to 'Zmień założenia mailingu', edit_mailing_path(@mailing), class: "btn btn-default btn-flat" %> 
          <%= link_to "Aktualizuj", edit_comment_mailing_path(@mailing), class:"btn btn-primary btn-flat", data: { modal: true } %>
           <%= link_to 'Usuń', @mailing, method: :delete, data: { confirm: 'Na pewno chcesz usunąć ten mailing?' }, class:"btn btn-danger btn-flat"  %>
        </div>
      </div>
      <div class="box-body">
        <div class="col-sm-6">

          <p>
            <strong>Nazwa:</strong>
            <%= @mailing.name %>
          </p>

          <p>
            <strong>Opis:</strong>
            <%= raw @mailing.description %>
          </p>

          <p>
            <strong>Priorytet:</strong>
            <%= @mailing.priority %>
          </p>
        </div>

        <div class= <%= if @mailing.preview_image.present? then "col-sm-4" else "col-sm-6" end %> >
          <p>
            <strong>Autor zlecenia:</strong>
            <%= link_to @mailing.author_id.name, @mailing.author_id %>
          </p>
          
          <p>
            <strong>Mailing przypisany do:</strong>
            <%= link_to @mailing.assign_to_id.name, @mailing.assign_to_id unless @mailing.assign_to_id.nil?  %>
          </p>

          <p>
            <strong>Status:</strong>
            <%= @mailing.mailing_status.name unless @mailing.mailing_status.nil? %>
          </p>

          <p>
            <strong>Podgląd:</strong>
            <a href="<%= @mailing.preview %>" target="_blank" rel="nofollow"><%= @mailing.preview %></a>
          </p>

        </div>

      <% if @mailing.preview_image.present? then %>
        <div class="col-sm-2">
          <%= link_to (image_tag @mailing.preview_image.url(:medium), class: "img-responsive"), @mailing.preview_image.url, class: "fancybox" %>
        </div>
      <% end %>

      </div>
    </div>
  </div>


  <div class="col-sm-7">
    <div class="nav-tabs-custom">
      <ul class="nav nav-tabs">
        <li class="active"><a data-toggle="tab" href="#tab_1" aria-expanded="true">Grupa odbiorców</a></li>

        <li class=""><a data-toggle="tab" href="#tab_2" aria-expanded="false">Pliki do mailingu <span class="label bg-red"><%= @mailing.mailing_files.count %></span></a></li>
      </ul>
      <div class="tab-content">
        <div id="tab_1" class="tab-pane active">
            <p>
              <strong>Definicja grupy:</strong><br />
              <% @mailing.mailing_groups.each do |group| %>
                <span class="badge bg-light-blue">
                  <%= group.subject_group.name unless group.subject_group.nil? %>
                  <%= "| " + group.level_group.name unless group.level_group.nil? %>
                  <%= "| " + group.other_group.name unless group.other_group.nil? %>
                </span> <br />
              <% end %>
            </p>
            <% if not @mailing.other_group.blank? %>
            <p><%= simple_format h(@mailing.other_group) %></p>
            <% end %>

            <% if @mailing.group_files.count > 0 then %>
              <table class="table table-striped table-hover">
                  <thead>
                    <tr>
                      <th>Plik</th>
                      <th>Liczba adresów</th>
                      <th>Data wgrania</th>
                      <th>Rozmiar</th>
                      <th></th>
                    </tr>
                  </thead>
                  <tbody>
                <% @mailing.group_files.each do |group_file| %>
                    <tr>
                      <td>
                        <%= link_to (group_file.file_file_name), group_file.file.url, target: "_blank" %>
                      </td>
                      <td>
                        <%= number_with_delimiter(group_file.group_size, delimiter: ",") %>
                      </td>
                      <td><%= group_file.created_at.to_date.strftime("%d.%m.%Y") %></td>
                      <td><%= number_to_human_size(group_file.file_file_size) %></td>
                      <td>
                        <%=
                            link_to 'Usuń plik', mailing_group_file_path(@mailing, group_file),
                                    :data => { :confirm => "Na pewno usunąć ten plik?" },
                                    :method => :delete
                        %>
                      </td>
                <% end %>
                  </tbody>
                  <% if @mailing.group_files.count > 1 %>
                  <tfoot>
                    <tr>
                      <td>Suma adresów</td>
                      <td><%= number_with_delimiter(@group_size_sum, delimiter: ",") %></td>
                      <td colspan="3"></td>
                    </tr>
                  </tfoot>
                  <% end %>
              </table>
              <div class="clearfix">
                <%= link_to 'Dodaj kolejny plik grupy', new_mailing_group_file_path(@mailing), class: "btn btn-primary btn-xs pull-right", data: { modal: true} %>
              </div>
              <% else %>
              <hr>
              <p>Grupa nie została jeszcze dodana, <strong><%= link_to 'dodaj plik grupy', new_mailing_group_file_path(@mailing), data: { modal: true} %></strong>.</p>
              <% end %>

        </div>
        <!-- /.tab-pane -->

        <div id="tab_2" class="tab-pane">
          <% if @mailing.mailing_files.count > 0 then %>
            <table class="table table-striped table-hover">
                <tr>
                  <th colspan="2">Plik</th>
                  <th>Data wgrania</th>
                  <th>Rozmiar</th>
                  <th></th>
                </tr>
                <% @mailing.mailing_files.each do |mailing_file| %>
                    <tr>
                      <td>
                      <% if mailing_file.file.exists?(:thumb) then %>
                        <%= link_to (image_tag(mailing_file.file.url(:thumb))), image_path(mailing_file.file.url), target: "_blank" %>
                        <% end %>
                      </td>
                      <td>
                        <%= link_to (mailing_file.file_file_name), mailing_file.file.url, target: "_blank" %>
                      </td>
                      <td><%= mailing_file.created_at.to_date.strftime("%d.%m.%Y") %></td>
                      <td><%= number_to_human_size(mailing_file.file_file_size) %></td>
                      <td>
                        <%=
                            link_to 'Usuń plik', mailing_mailing_file_path(@mailing, mailing_file),
                                    :data => { :confirm => "Na pewno usunąć ten plik?" },
                                    :method => :delete
                        %>
                      </td>
                <% end %>
              </table>
              <div class="clearfix">
                <%= link_to 'Dodaj kolejny plik', edit_comment_mailing_path(@mailing), class: "btn btn-primary btn-xs pull-right", data: { modal: true} %>
              </div>
            <% else %>
              <hr>
              <p>Pliki nie zostały jeszcze dodane, <strong><%= link_to "dodaj pliki", edit_comment_mailing_path(@mailing), data: { modal: true } %></strong>.</p>
            <% end %>
        </div>
        <!-- /.tab-pane -->
      </div>
      <!-- /.tab-content -->
    </div>  
  </div>

  <div class="col-sm-5">
    <div class="box">
      <div class="box-header with-border">
        <i class="fa fa-envelope-o"></i>
        <h3 class="box-title">Kluczowe daty</h3>
      </div>

      <div class="box-footer no-padding">
        <ul class="nav nav-stacked">
          <li><a href="#">Data utworzenia <span class="pull-right badge bg-light-blue" title="<%=localize @mailing.created_at, :format => '%A'%>"><%= @mailing.created_at.strftime("%d-%m-%Y") %></span></a></li>

          <li><a href="#">Data przekazania do napisania <span class="pull-right badge bg-aqua" title="<%=localize @mailing.write_date, :format => '%A' unless @mailing.write_date.nil?%>"><%= @mailing.write_date.to_formatted_s(:day_month_year) unless @mailing.write_date.nil? %></span></a></li>

          <li><a href="#">Data wgrania grupy <span class="pull-right badge bg-orange" title="<%=localize @mailing.group_date, :format => '%A' unless @mailing.group_date.nil?%>"><%= @mailing.group_date.to_formatted_s(:day_month_year) unless @mailing.group_date.nil?  %></span></a></li>

          <li><a href="#">Data przekazania do sHTMLowania <span class="pull-right badge bg-red" title="<%=localize @mailing.code_date, :format => '%A' unless @mailing.code_date.nil?%>"><%= @mailing.code_date.to_formatted_s(:day_month_year) unless @mailing.code_date.nil?  %></span></a></li>

          <li class="bg-success"><a href="#">Data wysyłki <span class="pull-right badge bg-green" title="<%=localize @mailing.send_date, :format => '%A' unless @mailing.send_date.nil?%>"><%= @mailing.send_date.to_formatted_s(:day_month_year) unless @mailing.send_date.nil?  %></span></a></li>
        </ul>
      </div>
    </div>
  </div>

</div>




<% if @mailing.audits.updates.count > 0 %>
<div class="row">
  <div class="col-sm-12">
    <div class="nav-tabs-custom clearfix">
      <ul class="nav nav-tabs">
        <li class="active"><a data-toggle="tab" href="#changes_1" aria-expanded="true">Konwersacja</a></li>

        <li class=""><a data-toggle="tab" href="#changes_2" aria-expanded="false">Historia zmian <span class="label bg-blue"><%= @mailing.audits.updates.count %></span></a></li>

        <li class="pull-right">
            <%= link_to '<i class="fa fa-plus"></i> Dodaj swoje uwagi'.html_safe, edit_comment_mailing_path(@mailing), class: "", data: { modal: true} %>
        </li>
      </ul>
      <div class="tab-content clearfix">
        <div id="changes_1" class="tab-pane active">
          <div class="col-sm-12">
          <% @mailing.audits.updates.descending.each do |audit| %>
            <% if not audit.comment.blank? then %>
                <div class="direct-chat-msg">
                  <div class="direct-chat-info clearfix">
                    <span class="direct-chat-name pull-left"><%= link_to audit.user.try(:name), audit.user %></span>
                    <span class="direct-chat-timestamp pull-right"><%= audit.created_at.strftime("%d-%m-%Y, godz. %H:%M") %></span>
                  </div>
                  <!-- /.direct-chat-info -->
                  <i class="fa fa-fw fa-user fa-3x direct-chat-img text-muted"></i>
                  <div class="direct-chat-text">
                    <%= raw audit.comment %>
                  </div>
                  <!-- /.direct-chat-text -->
                </div>
              <% end %>

            <% end %>

            <%= link_to 'Dodaj swoje uwagi', edit_comment_mailing_path(@mailing), class: "btn btn-primary btn-xs", data: { modal: true} %>

          </div>



        </div>
        <!-- /.tab-pane -->

        <div id="changes_2" class="tab-pane clearfix">
              <ul class="timeline version">
              <% @mailing.audits.updates.descending.each do |audit| %>
              <% prev_date = nil %>
                <% if prev_date != audit.created_at.strftime("%d-%m-%Y, godz. %H:%M") %>
                <li class="time-label"><span class="bg-blue"><%= audit.created_at.strftime("%d-%m-%Y, godz. %H:%M") %></span></li>
                <% end %>
                <% prev_date = audit.created_at.strftime("%d-%m-%Y, godz. %H:%M") %>

                <li>
                  <i class="fa fa-exchange bg-blue"></i>
                  <div class="timeline-item">
                    <span class="time"><i class="fa fa-clock-o"></i> <%= audit.created_at.strftime("%d-%m-%Y, godz. %H:%M")  %> (<%= time_ago_in_words(audit.created_at) %> temu)</span>
                    <h3 class="timeline-header"><%= link_to audit.user.try(:name), audit.user %></h3>
                    <div class="timeline-body">




                    <% if not audit.comment.blank? then %>
                      <div class="direct-chat-msg">
                        <!-- /.direct-chat-info -->
                        <i class="fa fa-fw fa-user fa-3x direct-chat-img text-muted"></i>
                        <div class="direct-chat-text">
                          <%= raw audit.comment %>
                        </div>
                        <!-- /.direct-chat-text -->
                      </div>
                    <% end %>



                      <% if not audit.audited_changes.empty? then %>
                      <div class="table-responsive">
                        <table class="table table-condensed no-padding no-border table-hover">
                          <tr>
                            <th>Zmiana</th>
                            <th>Jak było?</th>
                            <th>Jak jest?</th>
                          </tr>
                        <% audit.audited_changes.each do |key, change| %>
                          <tr>
                            <% if key == "assign_to" then %>
                            <td><%= t("mailings.show.#{key}") %></td>
                            <td><%= User.find(change[0]).name unless change[0].nil? %></td>
                            <td><%= User.find(change[1]).name unless change[1].nil? %></td>

                            <% elsif key == "status_id" then %>
                            <td><%= t("mailings.show.#{key}") %></td>
                            <td><%= MailingStatus.find(change[0]).name unless change[0].nil? %></td>
                            <td><%= MailingStatus.find(change[1]).name unless change[1].nil? %></td>

                            <% else %>
                            <td><%= t("mailings.show.#{key}") %></td>
                            <td><%= raw change[0] unless change[0].nil? %></td>
                            <td><%= raw change[1] unless change[1].nil? %></td>
                            <% end %>
                          </tr>
                          <% end %>
                        </table>
                      </div>
                      <% end %>

                    </div>
                  </div>
                </li>
              <% end %>
              </ul>



        </div>
        <!-- /.tab-pane -->
      </div>
      <!-- /.tab-content -->
    </div>  
  </div>  
</div>  

<% end %>

<div class="text-muted small clearfix">
  <%= link_to "kopiuj", copy_mailing_path(@mailing), class: "pull-right" %>
</div>